Last Comment Bug 763493 - Bookmarks Manager has lost its icons
: Bookmarks Manager has lost its icons
Status: RESOLVED FIXED
: regression
Product: SeaMonkey
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.13
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on:
Blocks: 580662
  Show dependency treegraph
 
Reported: 2012-06-11 07:52 PDT by neil@parkwaycc.co.uk
Modified: 2012-07-03 06:07 PDT (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
wontfix
fixed
fixed


Attachments
Proposed patch (3.56 KB, patch)
2012-06-11 07:54 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
Details | Diff | Splinter Review
Packaging fix? (4.07 KB, patch)
2012-06-15 00:42 PDT, neil@parkwaycc.co.uk
bugspam.Callek: review+
Details | Diff | Splinter Review
Rolled-up patch for branch (7.61 KB, patch)
2012-06-18 03:42 PDT, neil@parkwaycc.co.uk
iann_bugzilla: approval‑comm‑aurora+
iann_bugzilla: approval‑comm‑beta+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2012-06-11 07:52:13 PDT
The Bookmarks manager window and the bookmark properties dialog used to have custom window icons, but these stopped working when the appropriate windows were given new ids by bug 580662. I guess it's too late to change the ids back, so we have to rename the icons instead. I don't know how the Mac works though.
Comment 1 neil@parkwaycc.co.uk 2012-06-11 07:54:09 PDT
Created attachment 631894 [details] [diff] [review]
Proposed patch
Comment 2 Ian Neal 2012-06-11 08:16:57 PDT
Comment on attachment 631894 [details] [diff] [review]
Proposed patch

r=me assuming you get a ui-review from a mac person
Comment 3 Stefan [:stefanh] 2012-06-13 05:05:25 PDT
Mac doesn't make use of window icons and the the Mac icons in suite/branding/nightly/icons/mac/ are handled in suite/app/macbuild/Contents/Info.plist.in, so you can just move on :-)
Comment 4 neil@parkwaycc.co.uk 2012-06-14 06:23:50 PDT
Pushed comm-central changeset b12ec5c00ac0.
Comment 5 neil@parkwaycc.co.uk 2012-06-14 06:25:46 PDT
Comment on attachment 631894 [details] [diff] [review]
Proposed patch

[Approval Request Comment]
Regression caused by (bug #): 580662
User impact if declined: Cosmetic
Testing completed (on m-c, etc.): None
Risk to taking this patch (and alternatives if risky): Low (build fix)
String changes made by this patch: None
Comment 6 Philip Chee 2012-06-14 23:36:33 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1339686418.1339695615.3577.gz&fulltext=1

make[3]: *** [stage-package] Error 255

Error: package error or possible missing or unnecessary file: bin/chrome/icons/default/bmPropsWindow.png (package-manifest, 348).
Error: package error or possible missing or unnecessary file: bin/chrome/icons/default/bmPropsWindow16.png (package-manifest, 349).
Error: package error or possible missing or unnecessary file: bin/chrome/icons/default/bmPropsWindow48.png (package-manifest, 350).
Error: package error or possible missing or unnecessary file: bin/chrome/icons/default/bookmark-window.png (package-manifest, 351).
Error: package error or possible missing or unnecessary file: bin/chrome/icons/default/bookmark-window16.png (package-manifest, 352).
Error: package error or possible missing or unnecessary file: bin/chrome/icons/default/bookmark-window48.png (package-manifest, 353).
Comment 7 Philip Chee 2012-06-14 23:37:36 PDT
Comment on attachment 631894 [details] [diff] [review]
Proposed patch

FYI: Packaging errors are now fatal.
Comment 8 Philip Chee 2012-06-14 23:38:29 PDT
> FYI: Packaging errors are now fatal.
Comment 9 neil@parkwaycc.co.uk 2012-06-15 00:42:44 PDT
Created attachment 633422 [details] [diff] [review]
Packaging fix?
Comment 10 Justin Wood (:Callek) 2012-06-15 03:36:31 PDT
Comment on attachment 633422 [details] [diff] [review]
Packaging fix?

I skimmed it, and looks fine, and briefly compared against win
Comment 11 neil@parkwaycc.co.uk 2012-06-15 14:49:08 PDT
Pushed comm-central changeset 4cf03f36c629.
Comment 12 neil@parkwaycc.co.uk 2012-06-18 03:42:38 PDT
Created attachment 633982 [details] [diff] [review]
Rolled-up patch for branch

[Approval Request Comment]
Regression caused by (bug #): 580662
User impact if declined: Cosmetic
Testing completed (on m-c, etc.): Landed and bustage fixed
Risk to taking this patch (and alternatives if risky): Low (bustage fixed)
String changes made by this patch: None
Comment 13 neil@parkwaycc.co.uk 2012-07-03 06:07:09 PDT
Pushed comm-aurora changeset 754df5de175b.
Pushed comm-beta changeset 2a9603a85385.

Note You need to log in before you can comment on or make changes to this bug.